Subject: Re: bug#73722: 30.0.91; error calling eshell/clear with no argument
From: Jim Porter <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 31 Oct 2024 22:40:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 10/16/2024 9:47 PM, Jim Porter wrote:
> And here's a patch for the master branch. I split out 'eshell/clear' 
> into two versions: one for interactive (from M-x) use, and one for use 
> as "clear" at the Eshell prompt. For compatibility, you can still call 
> 'eshell/clear' interactively from M-x, but 99% of the time the 
> 'eshell/FOO' commands aren't meant to be used that way; hence the new 
> 'eshell-clear'.

Now merged to the master branch as 98e24e369a3, so closing this bug.